# array-2d-beispiel.py
#------------------------------------------------------------------------------------------------
# Lies die Zeilenzahl z und die Spaltenzahl s von der Kommandozeile,
# erzeuge ein 2d-Array a mit z Zeilen aus s Spalten,
# und schreibe an Stelle a[i][j] den String 'i,j'.
#------------------------------------------------------------------------------------------------
import sys

# Lies die Zeilenzahl z und die Spaltenzahl s von der Kommandozeile.
z = int(sys.argv[1])
s = int(sys.argv[2])

# Zu Beginn ist das Array a leer.
a = []

# Die Zeilen des Arrays werden der Reihe nach erzeugt und an a angehängt.
for i in range(z):
  b = [0]*s                    # Die Zeile hat s Einträge (Spalten).
  a += [ b ]                   # Sie wird an a angehängt.
# Nun sind alle Plätze im Array a erzeugt.
# Sie werden durchlaufen und der passende String wird eingetragen.
for i in range(len(a)):
  for j in range(len(a[i])):
    a[i][j] = '%d,%d' % (i,j)

print(a)
#------------------------------------------------------------------------------
# python3 array-2d-beispiel.py 4 2
# [['0,0', '0,1'], ['1,0', '1,1'], ['2,0', '2,1'], ['3,0', '3,1']]
#
# python3 array-2d-beispiel.py 2 3
# [['0,0', '0,1', '0,2'], ['1,0', '1,1', '1,2']]

