#-----------------------------------------------------------------------------------------------------
# tabelle-auswerten.py
#-----------------------------------------------------------------------------------------------------
# Berechne die Summe jeder Zeile und 
# die Mittelwerte jeder Spalte der angegebenen Tabelle (d.h. des angegebenen 2-dimensionalen Arrays).
#-----------------------------------------------------------------------------------------------------

tabelle = [  [ 20, 15, 12, 8,  13],
             [ 12, 0,  20, 20, 8 ],
             [ 13, 12, 15, 11, 9 ], 
             [ 18, 19, 17, 20, 12],
             [ 11, 12, 0,  12, 13],
             [ 16, 13, 15, 18, 20]  ]

# Berechne den Mittelwert jeder Zeile der Tabelle und gib ihn aus.
for zeilennr in range(len(tabelle)):
  m = sum(tabelle[zeilennr])/len(tabelle[zeilennr])
  print( 'Zeile ' + str(zeilennr) + ' hat Mittelwert ' + str(m) + ' .' )

# Berechne den Mittelwert jeder Spalte der Tabelle und gib ihn aus.
# Dabei gehen wir davon aus, dass alle Zeilen gleichviele Spalten haben.
for spaltennr in range(len(tabelle[0])):
  spaltensumme = 0
  for zeilennr in range(len(tabelle)):
    spaltensumme += tabelle[zeilennr][spaltennr]
  # Die letzten drei Zeilen kann man ersetzen durch die nächste Zeile:
  # spaltensumme = sum( [ zeile[spaltennr] for zeile in tabelle ] )
  print('Spalte ' + str(spaltennr) + ' hat Mittelwert ' + str(spaltensumme/len(tabelle)) + ' .')

#-----------------------------------------------------------------------------------------------------
# python3 tabelle-auswerten.py 
# Zeile 0 hat Mittelwert 13.6 .
# Zeile 1 hat Mittelwert 12.0 .
# Zeile 2 hat Mittelwert 12.0 .
# Zeile 3 hat Mittelwert 17.2 .
# Zeile 4 hat Mittelwert 9.6 .
# Zeile 5 hat Mittelwert 16.4 .
# Spalte 0 hat Mittelwert 15.0 .
# Spalte 1 hat Mittelwert 11.833333333333334 .
# Spalte 2 hat Mittelwert 13.166666666666666 .
# Spalte 3 hat Mittelwert 14.833333333333334 .
# Spalte 4 hat Mittelwert 12.5 .


